#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		realvers	3470000
%define		rpmvers		%(echo "3470000" | cut -c1-5 | sed -e 's/./&\./1g' | cut -c 1,2,3,5,6,9)
%define		name		%(echo "sqlite" | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	%{name}
Version		:	%{rpmvers}
Release		:	17.2.0.rel%{?dist}
Summary		:	Library that implements an embeddable SQL database engine
Group		:	Applications/Databases

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://sqlite.org

Source0		:	%{name}-autoconf-%{realvers}.tar.gz
Source1		:	%{name}-doc-%{realvers}.zip

#-----------------------------------------------------------------------------
Provides	:	%{name}3	=	%{version}
#-----------------------------------------------------------------------------
%description
SQLite is a C library that implements an SQL database engine. A large
subset of SQL92 is supported. A complete database is stored in a
single disk file. The API is designed for convenience and ease of use.
Applications that link against SQLite can enjoy the power and
flexibility of an SQL database without the administrative hassles of
supporting a separate database server.  Version 2 and version 3 binaries
are named to permit each to be installed on a single host

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_includedir}/%{name}3.h
%{_includedir}/%{name}3ext.h
%{_bindir}/%{name}3
%{_libdir}/lib%{name}3.so*
%{_libdir}/pkgconfig/%{name}3.pc
%{_mandir}/man1/%{name}3.1.gz

#=============================================================================
%package		doc
Summary		:	Documentation for sqlite
	
#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
This package contains most of the static HTML
files that comprise the www.sqlite.org website,
including all of the SQL Syntax and the C/C++
interface specs and other miscellaneous documentation.

#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%{_defaultdocdir}/%{name}-%{version}/copyright-release.pdf
%{_defaultdocdir}/%{name}-%{version}/cvstrac.css
%{_defaultdocdir}/%{name}-%{version}/favicon.ico
%{_defaultdocdir}/%{name}-%{version}/*.html
%{_defaultdocdir}/%{name}-%{version}/robots.txt
%{_defaultdocdir}/%{name}-%{version}/toc.db
%{_defaultdocdir}/%{name}-%{version}/c3ref/*.html
%{_defaultdocdir}/%{name}-%{version}/images/
%{_defaultdocdir}/%{name}-%{version}/releaselog/*.html
%{_defaultdocdir}/%{name}-%{version}/%{name}.css
%{_defaultdocdir}/%{name}-%{version}/search
%{_defaultdocdir}/%{name}-%{version}/search.d/admin
%{_defaultdocdir}/%{name}-%{version}/search.d/search.db
%{_defaultdocdir}/%{name}-%{version}/session/*.html
%{_defaultdocdir}/%{name}-%{version}/syntax/*.html
 
#=============================================================================
%prep
%setup -n %{name}-autoconf-%{realvers}

#-----------------------------------------------------------------------------
#building application
%build


CFLAGS="-g -O2 -DSQLITE_ENABLE_FTS3=1			\
	-DSQLITE_ENABLE_COLUMN_METADATA=1 		\
	-DSQLITE_ENABLE_UNLOCK_NOTIFY=1			\
	-DSQLITE_SECURE_DELETE=1			\
	-DSQLITE_ENABLE_DBSTAT_VTAB=1			\
	-DSQLITE_ENABLE_FTS3_TOKENIZER=1"		\
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--sharedstatedir=%{_var}/lib			\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-rtree					\
	--enable-fts3					\
	--enable-fts4					\
	--enable-fts5					\
	--enable-threadsafe				\
	--enable-threads-override-locks			\
	--enable-load-extension				\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%{__unzip} -qq						\
	 %{SOURCE1}

install -m0755 -d %{buildroot}%{_defaultdocdir}/%{name}-%{version}
%{__cp} -R						\
	%{name}-doc-%{realvers}/* 			\
	%{buildroot}%{_defaultdocdir}/%{name}-%{version}

#-----------------------------------------------------------------------------
%changelog
